Fork me on GitHub"

# skbio.alignment.AlignmentStructure

class skbio.alignment.AlignmentStructure

  Wraps the result of an alignment c struct so it is accessible to Python

  Notes

  cigar may be empty depending on parameters used.

  target_begin and query_begin may be -1 depending on parameters used.

  Developer note: read_sequence is an alias for query_sequence used by ssw.c as is reference_sequence for target_sequence

  Attributes

  `aligned_query_sequence` | Returns the query sequence aligned by the cigar
  `aligned_target_sequence` | Returns the target sequence aligned by the cigar
  `cigar` | Cigar formatted string for the optimal alignment
  `optimal_alignment_score` | Optimal alignment score
  `query_begin` | Returns the character index at which the query sequence begins
  `query_end` | Character index at where query sequence ends
  `query_sequence` | Query sequence
  `suboptimal_alignment_score` | Suboptimal alignment score
  `target_begin` | Character index where the target's alignment begins
  `target_end_optimal` | Character index where the target's optimal alignment ends
  `target_end_suboptimal` | Character index where the target's suboptimal alignment ends
  `target_sequence` | Target sequence

  Built-ins

  `__getstate__`() | Helper for pickle.
  `__hash__`() | Return hash(self).
  `__setstate__` |

  Methods

  `is_zero_based` | Returns True if alignment inidices start at 0 else False
  `set_zero_based` | Set the aligment indices to start at 0 if True else 1 if False